Subject: Re: [RFC] branch: list branches by single remote

From: Michael J Gruber <[email-masked]>
Date: Wed, 24 Aug 2011 17:37:52 +0200

Michael Schubert venit, vidit, dixit 24.08.2011 17:14:
> On 08/16/2011 05:14 PM, Jeff King wrote:
>> On Tue, Aug 16, 2011 at 03:37:33PM +0200, Michael J Gruber wrote:
>>
>>>> This isn't right. You are assuming that a remote called "foo" will have
>>>> all of its branches in refs/remotes/foo. That's true under the default
>>>> configuration, but technically speaking, the remote tracking branches of
>>>> "foo" are defined by the right-hand side of foo's fetch refspecs.
>>>
>>> You are 100% right here, but...
>>>
>>>> So I think you want something more like this:
>>>
>>> ...the op still might want to filter simply by the remote name.
>>
>> That is a perfectly reasonable approach. It just should be called
>> "--glob" or something, and not "remote".  git-tag allows patterns to an
>> explicit "tag -l", but "-l" is already taken for git-branch.
> 
> As suggested, I've just called it "--glob" for now.

Well, again, what's the point in replicating

http://permalink.gmane.org/gmane.comp.version-control.git/172228

and how is it different?

As I've mentioned, I've been in the middle of polishing that up. You can
follow it if you like:

http://repo.or.cz/w/git/mjg.git/shortlog/refs/heads/branch-list-pattern

Also, again: git branch is much more like git tag than it is like git
log, so I think the pattern matching options should be, too.

Michael